Attribute VB_Name = "ASCII"

Public Const NUL As Byte = &H0
Public Const SOH As Byte = &H1
Public Const STX As Byte = &H2
Public Const ETX As Byte = &H3
Public Const EOT As Byte = &H4
Public Const ENQ As Byte = &H5
Public Const ACK As Byte = &H6
Public Const BEL As Byte = &H7
Public Const BS  As Byte = &H8
Public Const HT  As Byte = &H9
Public Const LF  As Byte = &HA
Public Const VT  As Byte = &HB
Public Const FF  As Byte = &HC
Public Const CR  As Byte = &HD
Public Const SO  As Byte = &HE
Public Const SI  As Byte = &HF
Public Const DLE As Byte = &H10
Public Const DC1 As Byte = &H11
Public Const DC2 As Byte = &H12
Public Const DC3 As Byte = &H13
Public Const DC4 As Byte = &H14
Public Const NAK As Byte = &H15
Public Const SYN As Byte = &H16
Public Const ETB As Byte = &H17
Public Const CAN As Byte = &H18
Public Const EM  As Byte = &H19
'Public Const SUB As Byte = &H1A
Public Const ESC As Byte = &H1B
Public Const FS  As Byte = &H1C
Public Const GS  As Byte = &H1D
Public Const RS  As Byte = &H1E
Public Const US  As Byte = &H1F

Public Function GetCTRL(i As Integer) As String
    Select Case i
    Case &H0
        GetCTRL = "NUL"
    Case &H1
        GetCTRL = "SOH"
    Case &H2
        GetCTRL = "STX"
    Case &H3
        GetCTRL = "ETX"
    Case &H4
        GetCTRL = "EOT"
    Case &H5
        GetCTRL = "ENQ"
    Case &H6
        GetCTRL = "ACK"
    Case &H7
        GetCTRL = "BEL"
    Case &H8
        GetCTRL = "BS"
    Case &H9
        GetCTRL = "HT"
    Case &HA
        GetCTRL = "LF"
    Case &HB
        GetCTRL = "VT"
    Case &HC
        GetCTRL = "FF"
    Case &HD
        GetCTRL = "CR"
    Case &HE
        GetCTRL = "SO"
    Case &HF
        GetCTRL = "SI"
    Case &H10
        GetCTRL = "DLE"
    Case &H11
        GetCTRL = "DC1"
    Case &H12
        GetCTRL = "DC2"
    Case &H13
        GetCTRL = "DC3"
    Case &H14
        GetCTRL = "DC4"
    Case &H15
        GetCTRL = "NAK"
    Case &H16
        GetCTRL = "SYN"
    Case &H17
        GetCTRL = "ETB"
    Case &H18
        GetCTRL = "CAN"
    Case &H19
        GetCTRL = "EM"
    Case &H1A
        GetCTRL = "SUB"
    Case &H1B
        GetCTRL = "ESC"
    Case &H1C
        GetCTRL = "FS"
    Case &H1D
        GetCTRL = "GS"
    Case &H1E
        GetCTRL = "RS"
    Case &H1F
        GetCTRL = "US"
    End Select
End Function

Private Sub DispStart(Term As Control)
Const MAXTERMSIZE = 9000
Dim TermSize As Long
    
    ' ÷ĂȂ肷Ȃ悤ɂ܂B
    TermSize = Len(Term.Text)
    If TermSize > MAXTERMSIZE Then
       Term.Text = Mid$(Term.Text, 1000)
       TermSize = Len(Term.Text)
    End If
    ' txtTerm ް̍Ōɏ݈ʒuݒ肵܂B
    Term.SelStart = TermSize
End Sub

Public Sub DispData(Term As Control, data As Byte)
Dim sdt As String '2002/11/12
    
    DispStart Term

    If data < &H20 Or &H7F < data Then
        sdt = "<" '2002/11/12
        sdt = sdt & Right("0" & Hex(data), 2)
        sdt = sdt & ">" '2002/11/12
    Else
        sdt = Chr(data) '2002/11/12
    End If
    Term.SelText = sdt '2002/11/12
    Term.SelStart = Len(Term.Text)

End Sub
Public Sub DispStr(Term As Control, data As String)

    DispStart Term
    Term.SelText = data
    Term.SelStart = Len(Term.Text)
    
End Sub

